Bug 447979 - smartmontools doesn't work well with CCISS
Summary: smartmontools doesn't work well with CCISS
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel-utils
Version: 4.6
Hardware: All
OS: Linux
high
high
Target Milestone: rc
: ---
Assignee: Michal Hlavinka
QA Contact: BaseOS QE
URL:
Whiteboard:
Keywords: Reopened
Depends On: 447978
Blocks: RHEL4u8_relnotes
TreeView+ depends on / blocked
 
Reported: 2008-05-22 18:37 UTC by Toure Dunnon
Modified: 2018-10-20 00:17 UTC (History)
6 users (show)

(edit)
Smartmontools has been extended to support newer CCISS controllers found in newer HP ProLiant hardware.
Clone Of:
(edit)
Last Closed: 2009-05-18 20:09:53 UTC


Attachments (Terms of Use)
patch taken from upstream (27.33 KB, patch)
2009-01-19 12:18 UTC, Michal Hlavinka
no flags Details | Diff
patch taken from upstream v. 2 (27.18 KB, patch)
2009-01-19 13:03 UTC, Michal Hlavinka
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0966 normal SHIPPED_LIVE kernel-utils bug fix and enhancement update 2009-05-18 13:33:02 UTC

Description Toure Dunnon 2008-05-22 18:37:48 UTC
+++ This bug was initially created as a clone of Bug #447978 +++

Escalated to Bugzilla from IssueTracker

-- Additional comment from tao@redhat.com on 2008-05-22 14:36 EST --
Description of problem:
The smartmontools package (v 5.36-3.1.el5) contained in RH5.1 seems to have CCISS added to it. However, it doesn't work well across ProLiants.

How reproducible:

Steps to Reproduce:

Actual results:

Expected results:

Additional info:
The smartmontools package (v 5.36-3.1.el5) contained in RH5.1 seems to have CCISS added to it. However, it doesn't work well across ProLiants. For example:

[root@localhost ~]# smartctl -d cciss,0 -i /dev/cciss/c0d0 smartctl version 5.37 [x86_64-unknown-linux-gnu] Copyright (C) 2002-6 Bruce Allen Home page is http://smartmontools.sourceforge.net/

Device: HP       P400             Version: 4.10
>> Terminate command early due to bad response to IEC mode page
A mandatory SMART command failed: exiting. To continue, add one or more '-T permissive' options.


Could you update the "smartmontools" package in RH5 U1.

When you include a later release of "smartmontools", could you confirm that the "CHANGELOG" file lists the following changes. We have found that when the following changes are present, then that release of "smartmontools" works well with CCISS:

--------------------------------
[root@linux sm5]# cat CHANGELOG | grep -i cciss
  [GG] cciss: support more than 16 disks (patch taken from
       http://cciss.sourceforge.net/smartmontools_cciss_more_than_16_drives.patch
  [SS] CCISS physical drive enumeration method changed (incompatibly).
  [SS] Support CCISS on FreeBSD (kernel source is required).
  [CF] Applied Guido's patch to fix CCISS LUN array bounds check
  [CF] Linux: Added check for <linux/cciss_ioctl.h> to allow build
       (without CCISS support) also when this file is missing.
  [GG] Add CCISS (Compaq Smart Array Controller) support with contributions

[root@localhost sm5]# ./smartctl -d cciss,0 -i /dev/cciss/c0d0 smartctl version 5.38 [x86_64-unknown-linux-gnu] Copyright (C) 2002-7 Bruce Allen Home page is http://smartmontools.sourceforge.net/

Device: HP       DG072A8B54       Version: HPD7
Serial number: 3LB04B1T00007543ZMTH
Device type: disk
Transport protocol: SAS
Local Time is: Tue Dec 11 02:29:45 2007 EST Device supports SMART and is Enabled Temperature Warning Enabled

-----------------------------

NOTE:
The v5.37 release is not sufficient (See the CHANGELOG file for that release). We took a snapshot of the CVS repository for v5.38 (as specified in the smartmontools.spec file) from the smartmontools sourceforge website. Our snapshot was taken in Sep 2007. It has v 1.633 of the CHANGELOG file:
http://smartmontools.cvs.sourceforge.net/smartmontools/sm5/CHANGELOG?revision=1.633&view=markup

This event sent from IssueTracker by tdunnon  [SEG - Storage]
 issue 145386

Comment 1 RHEL Product and Program Management 2008-10-31 16:51:42 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".

Comment 10 RHEL Product and Program Management 2008-12-17 22:16:09 UTC
Quality Engineering Management has reviewed and declined this request.  You may
appeal this decision by reopening this request.

Comment 17 Michal Hlavinka 2009-01-19 12:18:27 UTC
Created attachment 329324 [details]
patch taken from upstream

this patch was tested on
HP ProLiant DL585 - hp-dl585g2-01.rhts.bos.redhat.com
HP ProLiant DL380 - hp-dl380g5-01.rhts.bos.redhat.com

Comment 19 Michal Hlavinka 2009-01-19 12:41:45 UTC
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
Smartmontools were extended to support newer CCISS controllers found for example in newer HP ProLiants.

Comment 20 Michal Hlavinka 2009-01-19 13:03:39 UTC
Created attachment 329326 [details]
patch taken from upstream v. 2

previous patch was just wrong file

Comment 23 Ryan Lerch 2009-01-22 02:29:22 UTC
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Smartmontools were extended to support newer CCISS controllers found for example in newer HP ProLiants.+Smartmontools has been extended to support newer CCISS controllers found in newer HP ProLiant hardware.

Comment 27 errata-xmlrpc 2009-05-18 20:09:53 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0966.html


Note You need to log in before you can comment on or make changes to this bug.